#include <stdio.h>

int main() {
  unsigned n;
  int nov_broj = 0;
  int k, pom;
  scanf("%u", &n);
  
  nov_broj = n%10;
  
  while(n!=0) {
   if(n%10 == (n/10)%10) {
      nov_broj = nov_broj + n%10;
      n = n/10;
   } else {
     nov_broj = nov_broj + ((n/10)%10) * 10 + n%10;
     n = n/10;
  }
  
  }
  printf("%d \n", nov_broj);
  
  return 0;
}